- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
NUMToken.h File Reference

Go to the source code of this file.

## Classes
struct | libetonyek::NUMToken::detail::log_impl< N, P >
struct | libetonyek::NUMToken::detail::log_impl< 1, P >
struct | libetonyek::NUMToken::detail::log_impl< 0, P >
struct | libetonyek::NUMToken::detail::log< N >
struct | libetonyek::NUMTokenizer

## Namespaces
| libetonyek
| libetonyek::NUMToken
| libetonyek::NUMToken::detail

## Enumerations
enum | { libetonyek::NUMToken::INVALID_TOKEN = 0, libetonyek::NUMToken::LAST_TOKEN }
enum | { libetonyek::NUMToken::TOKEN_RANGE = 2 << (detail::log<LAST_TOKEN + 1>::value + 1), libetonyek::NUMToken::NS_NONE = TOKEN_RANGE, libetonyek::NUMToken::NS_URI_LS = NS_NONE + TOKEN_RANGE, libetonyek::NUMToken::NS_URI_SF = NS_URI_LS + TOKEN_RANGE, libetonyek::NUMToken::NS_URI_SFA = NS_URI_SF + TOKEN_RANGE, libetonyek::NUMToken::NS_URI_XSI = NS_URI_SFA + TOKEN_RANGE }